/*
 * Fix up various operating system and compiler brokennesses
 */

#ifdef TCLTK_IS_BROKEN
#undef TCLTK_IS_BROKEN

#include "tk.h"
#include "tclExtend.h"

int TkX_Init(Tcl_Interp*);
int TclX_Init(Tcl_Interp*);

#endif /* TCLTK_IS_BROKEN */

#ifdef SUNOS4_IS_BROKEN
#undef SUNOS4_IS_BROKEN

#include <stdarg.h>
#include <sys/types.h>

#include <stdlib.h>
long strtol(char*,char**,int);
unsigned long strtoul(char*,char**,int);

#include <stdio.h>
int fprintf(FILE*, const char*, ...);
int fclose(FILE*);
int sscanf(const char*, const char*, ...);
int setvbuf(FILE*,char*,int,size_t);
int fflush(FILE*);
int fseek(FILE*,long,int);
int fwrite(void*,int size,int nitems,FILE*);
int vfprintf(FILE*,const char*,va_list);
int fputs(const char*,FILE*);
int fputc(int, FILE*);
void perror(const char*);

#include <time.h>
time_t time(time_t*);
size_t strftime(char*, size_t, const char*, const struct tm*);

#include <sys/socket.h>
int getsockname(int,void*,int*);
int socket(int,int,int);
int connect(int,const void*,size_t);

#include <netdb.h>
void endservent(void);

#include <string.h>
void *memset(void*,int,size_t);

#include <ctype.h>
int toupper(int);

#include <sys/time.h>
int gettimeofday(struct timeval*, struct timezone*);

/*#include <sys/ioctl.h>*/
int ioctl(int fd, int request, caddr_t arg);

#endif /* SUNOS4_IS_BROKEN */

#ifdef SUNOS5_IS_BROKEN
#undef SUNOS5_IS_BROKEN

#include <sys/time.h>
int gettimeofday(struct timeval*);
#define gettimeofday(x,y) gettimeofday(x)

#endif /* SUNOS5_IS_BROKEN */

#ifndef SA_INTERRUPT
#define SA_INTERRUPT 0
#endif
